# Class HtsgetBAMFileReader.BAMQueryMultipleIntervalsIteratorFilter

java.lang.Object
htsjdk.samtools.HtsgetBAMFileReader.BAMQueryMultipleIntervalsIteratorFilter

All Implemented Interfaces:
  `SamRecordFilter`

Enclosing class:
  `HtsgetBAMFileReader`

public static class HtsgetBAMFileReader.BAMQueryMultipleIntervalsIteratorFilter extends Object implements SamRecordFilter
Filters out records that do not match any of the given intervals and query type.

## Constructor Summary

Constructors
Constructor
Description
`BAMQueryMultipleIntervalsIteratorFilter(List<Locatable> intervals, boolean contained)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filterOut(SAMRecord record)`
Determines whether a SAMRecord matches this filter
`boolean`
`filterOut(SAMRecord first, SAMRecord second)`
Determines whether a pair of SAMRecords matches this filter

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BAMQueryMultipleIntervalsIteratorFilter

public BAMQueryMultipleIntervalsIteratorFilter(List<Locatable> intervals, boolean contained)

## Method Details

### filterOut

public boolean filterOut(SAMRecord record)
Description copied from interface: `SamRecordFilter`
Determines whether a SAMRecord matches this filter

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `record` - the SAMRecord to evaluate
Returns:
  true if the SAMRecord matches the filter, otherwise false

### filterOut

public boolean filterOut(SAMRecord first, SAMRecord second)
Description copied from interface: `SamRecordFilter`
Determines whether a pair of SAMRecords matches this filter

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `first` - the first SAMRecord to evaluate
  `second` - the second SAMRecord to evaluate
Returns:
  true if the pair of records matches filter, otherwise false